Skip to content
VirtlixCP

Documentation / API

Network

List Port Speeds

GET /port-speed

List of Port Speeds

Response 200: List of Port Speeds

Field Type Description
billing_id string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string
switchPortCount boolean

Create Port Speed

POST /port-speed

Add new Port Speed

Request body

Field Type Required Description
billing_id string
name string
speed integer

Response 200: Port Speed Information

Field Type Description
billing_id string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string
speed integer
switchPortCount boolean

Request body

Field Type Required Description
billing_id string
name string
speed integer

Response 422: Unprocessable Entity

Delete Port Speed

DELETE /port-speed/{port_speed_id}

Delete a VirtlixCP Port Speed

Response 200: Port Speed deleted successfully

Response 404: Item not Found

View Port Speed

GET /port-speed/{port_speed_id}

A VirtlixCP Port Speed

Response 200: A VirtlixCP Port Speed

Field Type Description
billing_id string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string
speed integer
switchPortCount boolean

Edit Port Speed

PATCH /port-speed/{port_speed_id}

Request body

Field Type Required Description
billing_id string yes
name string yes
speed integer yes

Response 200: A VirtlixCP Port Speed

Field Type Description
billing_id string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string
speed integer
switchPortCount boolean

Request body

Field Type Required Description
billing_id string yes
name string yes
speed integer yes

Response 422: Unprocessable Entity